/* Appling Property to all */
* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
}

/* Common Styles to Body tag */
body {
  width: 100%;
  height: 100vh;
  font-family: "Times New Roman", Times, serif;
  background: linear-gradient(45deg, #0a0a0a, #252a31);
  display: flex;
  align-items: center;
  justify-content: center;
}

/* Styling to the Container which Contain Whole page where we are going top see website*/
#Website-movies-container {
  width: 100%;
  height: 100%;
  border: 2px solid black;
  box-shadow: inset 0px 0px 50px 20px rgb(36, 28, 28);
  overflow: hidden;
  position: relative;
}

#Website-movies-container::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: url("Images/Arrow.jpg");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
  opacity: 0.9;
  z-index: -2;
}

#Website-movies-container::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: linear-gradient(0deg, transparant, black);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
  z-index: -1;
}

/* Adding Styling to the Vidio that will be played in backgroud */
#Website-movies-container video {
  position: absolute;
  height: 200%;
  width: 250%;
  top: -50%;
  left: -50%;
  z-index: -1;
}

/* Adding styling to the nav Menu  */
#Website-movies-container nav {
  width: 100%;
  height: 10%;
  /* border: 2px solid white; */
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 5px 15px;
  /* position: fixed; */
}

/* Styling to Logo, Home anchor tag and Search Bar Container */
#Container_logo_Home_Search_Bar {
  width: 60%;
  height: 100%;
  /* border: 5px solid black; */
  display: flex;
  align-items: center;
  justify-content: center;
}

/* Styling to Website Logo */
#Container_logo_Home_Search_Bar img {
  width: 8%;
}

/* Common class for both UL in nav Menu */
.horizontal-list {
  list-style: none;
  margin-left: 0;
  padding: 0;
  display: flex;
  align-items: center;
  justify-content: center;
}

.horizontal-list li {
  padding: 3px 15px;
}

.horizontal-list li a {
  color: white;
  text-decoration: none;
  font-weight: bold;
  font-size: 0.9rem;
  transition: color 1s;
}

.nav-menu a:hover {
  color: blue;
}

.horizontal-list li #Search-Bar {
  position: relative;
  padding: 4px 10px;
  border-radius: 2pc;
  outline: none;
  background: #36393d;
  color: azure;
  width: 30vw;
}

.horizontal-list li #Search-Bar::placeholder {
  color: whitesmoke;
}

/* Styling to the Serach result container */
#Container_logo_Home_Search_Bar ul li #Search-Menu {
  position: absolute;
  /* border: 2px solid red; */
  height: 290px;
  width: 30vw;
  top: 60px;
  z-index: 100;
  overflow-y: auto;
}

#Container_logo_Home_Search_Bar ul li #Search-Menu::-webkit-scrollbar {
  width: 3px;
}

/* Styling to the Individual item template that has been shown in the Search result */
.list-item {
  position: relative;
}

.card {
  width: 100%;
  height: auto;
  /* border: 2px solid black; */
  padding: 4px 0;
  display: flex;
  align-items: center;
  margin-bottom: 3px;
}
#Container_logo_Home_Search_Bar ul li #Search-Menu a {
  text-decoration: none;
}
#Container_logo_Home_Search_Bar ul li #Search-Menu .card::before {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  background: rgba(93, 86, 86, 0.1);
  backdrop-filter: blur(20px);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center center;
  border-radius: 7px;
  z-index: -1;
}

#Container_logo_Home_Search_Bar ul li #Search-Menu .card img {
  width: 50px;
  height: 50px;
  margin-left: 5px;
  border-radius: 2px;
}

.card .content {
  margin-left: 8px;
}

.card .content h3 {
  font-size: 15px;
  line-height: 20px;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}
.card .content p {
  font-size: 12px;
  line-height: 15px;
}

.card .content p span {
  background: yellow;
  color: #0a0a0a;
  padding: 1px 3px;
  margin: 0 3px;
}
/*Used in JS for hide and unhide the search result*/
.card-dispay {
  display: none;
}

/* #favourite-btn {
  position: absolute;
  top: 30px;
  left: 90%;
  background: transparent;
  border: transparent;
  z-index: 1001;
}

#favourite-btn i {
  height: 20px;
  width: 20px;
  color: azure;
  cursor: pointer;
} */

/* Styling to the UL containing Movies, TV Series , Favroite and useImage anchor tag*/
#Remaining_Item_nav_menu {
  width: auto;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  /* border: 5px solid black; */
}

/* Styling to user Image */
#User-img {
  width: 35px;
}

/* Drop down menu */

.bars {
  color: white;
  margin: 0;
  margin-right: 5%;
  display: none;
}

.dropdown-list {
  margin: 0;
  display: none;
  background-color: #828470;
  box-shadow: 0px 4px 8px 1px #535547;
}

.dropdown-list ul {
  margin: 0.2rem 0.2rem;
  text-align: left;
  padding: 0px 0.8rem;
}

.dropdown-menu:hover .dropdown-list {
  display: block;
  position: absolute;
  right: 3%;
}

.dropdown-list li {
  margin: 0.4rem 0px;
}
.no-list-style {
  list-style: none;
}
.no-list-style li {
  font-weight: 100;
  font-size: 0.9rem;
}
.no-list-style li a {
  list-style: none;
  color: white;
  text-decoration: none;
}

/* Styling to Home Page Movie content that will be shown*/
.movie-content {
  display: flex;
  align-items: flex-end;
  flex-direction: column;
  color: whitesmoke;
  /* margin-top: 5px; */
  padding: 5%;
  height: 400px;
  /* border: 2px solid white; */
}
.movie-content h1 {
  font-size: 7vw;
  line-height: 85px;
  margin-right: 5vw;
  color: hsl(57.04deg 97.38% 44.9%);
}
.movie-content p {
  font-size: 20px;
  width: 37vw;
  overflow-y: auto;
  text-align: justify;
  /* border: 2px solid white; */
  margin-bottom: 20px;
}

.movie-content p::-webkit-scrollbar {
  width: 5px;
}
.movie-content h6 {
  width: 37vw;
  line-height: 20px;
}

.movie-content h5 {
  width: 37vw;
  line-height: 22px;
  color: hsl(57.04deg 97.38% 44.9%);
}

.movie-content h4 {
  width: 37vw;
  line-height: 26px;
}

.movie-content h3 {
  width: 37vw;
  line-height: 20px;
  margin-top: 5px;
}

.movie-content h3 span {
  background: hsl(57.04deg 97.38% 44.9%);
  color: #0a0a0a;
  padding: 1px 5px;
  margin-right: 5px;
}

.movie-content h3 i {
  margin-right: 5px;
}

/* Styling to Section to Show popular TV series and Movies */
#Popular-Section {
  position: absolute;
  color: whitesmoke;
  width: 100%;
  height: auto;
  bottom: 25px;
  padding: 0 40px;
}
#Popular-Section h2 {
  margin-bottom: 10px;
  color: hsl(57.04deg 97.38% 44.9%);
}
.popular-container {
  position: relative;
  height: 180px;
  width: 100%;
  /* border: 2px solid white; */
  display: flex;
  align-items: center;
  flex-direction: row;
  margin-top: 20px;
  /* justify-content: center; */
  overflow-x: auto;
  scroll-behavior: smooth;
}
.popular-container::-webkit-scrollbar {
  height: 2px;
}

/* Styling to individual item at that will be there in popular Section */
.individual-card {
  position: relative;
  /* border: 2px solid red; */
  min-width: 130px;
  height: 170px;
  margin-right: 3px;
  border-radius: 3px;
  background: #252a31;
}

.individual-card img {
  width: 130px;
  height: 100%;
  border: 1px solid rgb(59, 55, 55);
  box-shadow: inset 0px 0px 8px 4px rgb(59, 55, 55);
  transition: 0.5s linear;
  opacity: 0.8;
}

.individual-card img:hover {
  transform: scale(1.05);
}

/* Styling to the content that will be visible on the top of popular indiviual item */
.Popular-movie-content {
  position: absolute;
  color: white;
  z-index: 1200;
  text-align: center;
  /* margin-left: 3%; */
  /* top: 30%;
  left: 11%; */
  /* display: none; */
  /* transition: 0.5s linear; */
  bottom: 10px;
  left: 10px;
}
/* .Popular-movie-content {
  transform: scale(1.05);
} */
.Popular-movie-content h4 {
  margin-top: 10px;
  text-align: center;
  font-size: 0.7rem;
}

.Popular-movie-content h5 {
  text-align: center;
  font-size: 0.6rem;
}
.Popular-movie-content h4 span {
  background: yellow;
  color: #0a0a0a;
  padding: 1px 2px;
  margin-right: 5px;
}

/* Styling to the arrow that will Scroll the element in latest section */
.fa-arrow-right {
  position: absolute;
  top: 50%;
  left: 2%;
  font-size: 20px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  background: #6c747f;
  padding: 3px;
  border-radius: 50%;
  z-index: 1000;
  transition: 0.5s linear;
  opacity: 0;
}

.fa-arrow-left {
  position: absolute;
  left: unset;
  right: 2%;
  top: 50%;
  font-size: 20px;
  background: #6c747f;
  cursor: pointer;
  padding: 3px;
  border-radius: 50%;
  z-index: 1000;
  opacity: 0;
}

#Popular-Section:hover .fa-arrow-right {
  opacity: 1;
}

#Popular-Section:hover .fa-arrow-left {
  opacity: 1;
}

/* ..................................................................................................... */
/* Movie Page Css Styling*/

/* Styling the container containing movie detaols */
.individualListContent {
  /* border: 2px solid red; */
  width: 100%;
  height: 50.5%;
  margin-top: 2%;
  position: relative;
  color: white;
  margin-top: -7px;
}

.AboutMovie {
  position: absolute;
  top: 1vh;
  left: 2.5vw;
  width: 95%;
  height: 95%;
  /* border: 2px solid yellow; */
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.aboutMovieImageContainer {
  height: 100%;
  width: 35%;
  position: relative;
  /* border: 2px solid blue; */
}

/* Appling Style to Go back to home page Button */
.Go-back {
  background: hsl(57.04deg 97.38% 44.9%);
  margin-top: 7px;
  margin-left: 5px;
  padding: 5px;
  border-radius: 7px;
}

.Go-back a {
  text-decoration: none;
  padding: 5px;
  color: #0a0a0a;
  font-weight: bold;
}

.Go-back:active {
  background: rgb(72, 72, 232);
}
/* Appling Style to Movie detail Image */
.aboutMovieImageContainer img {
  height: 100%;
  width: 100%;
  /* border: 2px solid blue; */
  border-radius: 10px;
  box-shadow: inset 0 0 8px 8px rgb(48, 45, 45);
}

/* Appling Style to Movie detail section */
.aboutMovieContentContainer {
  width: 63%;
  height: 100%;
  /* border: 2px solid blue; */
  overflow-y: auto;
}

.aboutMovieContentContainer::-webkit-scrollbar {
  width: 2px;
}
.aboutMovieContentContainer h1 {
  font-size: 2.5rem;
  font-weight: 800;
  color: hsl(57.04deg 97.38% 44.9%);
  margin-bottom: 20px;
}

.movieTitle ul {
  list-style: none;
  margin-left: 0;
  padding: 0;
  display: flex;
  /* margin-left: 10px; */
  margin-bottom: 20px;
}

.movieTitle ul li {
  margin-right: 10px;
}

.HQ {
  color: #0a0a0a;
  background: white;
  padding: 1px 3px;
  border-radius: 3px;
  margin-left: 5px;
  font-weight: bold;
}

.HD {
  color: white;
  background: black;
  padding: 1px 3px;
  border: 1px solid white;
  border-radius: 3px;
  font-weight: bold;
}

.MovieType {
  margin-left: 15px;
}

.movieRelease ul {
  list-style: none;
  margin-left: 0;
  padding: 0;
  display: flex;
  margin-bottom: 20px;
}
.movieRelease ul li {
  margin-right: 30px;
}
.movieRelease ul li .fa-calendar-days {
  color: hsl(57.04deg 97.38% 44.9%);
  margin-left: 5px;
}

.movieRelease ul li i {
  color: hsl(57.04deg 97.38% 44.9%);
}
.aboutMovieContentContainer p {
  font-size: 0.8rem;
  margin-bottom: 20px;
  margin-left: 5px;
  text-align: justify;
  font-family: "Gill Sans", "Gill Sans MT", Calibri, "Trebuchet MS", sans-serif;
}

/* Appling Style to Button Container and Cast detaile container */
.ButtonAndCastContainer {
  width: 100%;
  height: auto;
  /* border: 2px solid yellow; */
  display: flex;
  align-items: center;
  justify-content: space-around;
}

.castDetails {
  height: 100%;
  width: 60%;
  /* border: 2px solid rebeccapurple; */
}
.castDetails h5 {
  color: hsl(57.04deg 97.38% 44.9%);
  padding: 5px 3px;
  font-size: 1rem;
}
.castDetails h5 span {
  color: white;
  font-size: 0.9rem;
  font-family: Arial, Helvetica, sans-serif;
}
.buttonAndRating {
  height: 150px;
  width: 38%;
  /* border: 2px solid red; */
  position: relative;
}

.buttonAndRating i {
  color: hsl(57.04deg 97.38% 44.9%);
  font-size: 40px;
  margin-bottom: 10px;
  margin-left: 10%;
}

.buttonAndRating span {
  font-size: 1.5rem;
}

.buttonAndRating h4 {
  margin-bottom: 10px;
  margin-left: 10%;
}

.buttonContainer {
  position: absolute;
  /* width: 100%; */
  /* top: 50%;
  left: 25%; */
  bottom: 5px;
  margin-left: 10%;
}
.buttonAndRating button {
  color: #0a0a0a;
  /* width: 90%; */
  font-size: 0.9rem;
  padding: 10px 40px;
  text-align: center;
  background: hsl(57.04deg 97.38% 44.9%);
  border-radius: 7px;
  font-weight: bold;
  cursor: pointer;
  /* margin: auto;   */
  /* position: absolute; */
  /* bottom: 10px; */
  /* left: 4vw; */
}

.buttonAndRating button:active {
  background: rgb(72, 72, 232);
}

/* Media tag for small screen */
@media screen and (max-width: 572px) {
  .nav-menu {
    display: none;
  }

  .bars {
    display: block;
    margin-left: 100px;
  }

  .bars i {
    font-size: 5vw;
  }

  #Container_logo_Home_Search_Bar i {
    width: 40px;
  }
}
